> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List files by owner



## OpenAPI

````yaml /public-openapi.json get /file/v1/files
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /file/v1/files:
    get:
      tags:
        - Files
      summary: List files by owner
      operationId: file.list
      parameters:
        - name: parent_kind
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: parent_id
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: limit
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int32
            minimum: 0
        - name: offset
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int32
            minimum: 0
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/file-file-FilePage'
          description: HTTP 200 response.
        '400':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/file-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_query
          description: HTTP 400 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/file-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/file-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/file-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/file-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/file-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    file-file-FilePage:
      type: object
      required:
        - items
        - page
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/file-file-FileArtifact'
        page:
          $ref: '#/components/schemas/file-gateway-PageMeta'
    file-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    file-file-FileArtifact:
      allOf:
        - $ref: '#/components/schemas/file-gateway-ArtifactBase'
        - oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/file-file-File'
    file-gateway-PageMeta:
      type: object
      required:
        - limit
        - offset
        - total
      properties:
        limit:
          type: integer
          format: int32
          minimum: 0
        offset:
          type: integer
          format: int32
          minimum: 0
        total:
          type: integer
          format: int64
          minimum: 0
    file-gateway-ArtifactBase:
      type: object
      required:
        - id
        - kind
        - extension
        - name
        - artifact_status
        - commit_ts
        - content_hash_hex
        - workspace_id
        - version_ordinal
        - is_latest
        - source_type
        - created_by
        - created_at
        - updated_by
        - updated_at
      properties:
        artifact_status:
          type: string
        commit_ts:
          type: string
        content_hash_hex:
          type: string
        created_at:
          type: string
        created_by:
          type: string
        display_name:
          type: string
        extension:
          type: string
        id:
          type: string
        identity:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/file-gateway-ArtifactIdentityRevealView'
        is_latest:
          type: boolean
        kind:
          type: string
        name:
          type: string
        oidc_client_id:
          type:
            - string
            - 'null'
        owner_id:
          type:
            - string
            - 'null'
        project_id:
          type:
            - string
            - 'null'
        repo_id:
          type:
            - string
            - 'null'
        source_created_at:
          type:
            - string
            - 'null'
        source_created_by:
          type:
            - string
            - 'null'
        source_digest:
          type:
            - string
            - 'null'
        source_id:
          type:
            - string
            - 'null'
        source_last_modified_at:
          type:
            - string
            - 'null'
        source_last_modified_by:
          type:
            - string
            - 'null'
        source_metadata: {}
        source_synced_at:
          type:
            - string
            - 'null'
        source_type:
          type: string
        source_uri:
          type:
            - string
            - 'null'
        source_version:
          type:
            - string
            - 'null'
        updated_at:
          type: string
        updated_by:
          type: string
        version_label:
          type:
            - string
            - 'null'
        version_ordinal:
          type: integer
          format: int64
        workspace_id:
          type: string
    file-file-File:
      type: object
      required:
        - path
      properties:
        content_uri:
          type:
            - string
            - 'null'
        media_type:
          type: string
        parent_id:
          type: string
        parent_kind:
          type: string
        path:
          type: string
        size_bytes:
          type: integer
          format: int64
        upload_key:
          type:
            - string
            - 'null'
    file-gateway-ArtifactIdentityRevealView:
      type: object
      required:
        - client_id
        - credential_kind
      properties:
        api_key:
          type:
            - string
            - 'null'
        client_id:
          type: string
        credential_kind:
          type: string
        expires_at:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````